<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="shared-styles.html">
<script src="../bower_components/webcomponentsjs/webcomponents-lite.js"></script>
<link rel="import" href="../bower_components/d2l-text-input/d2l-text-input.html">
<link rel="import" href="../bower_components/paper-suggest-textarea/paper-suggest-textarea.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/promise-polyfill/promise-polyfill-lite.html">
<dom-module id="update-profile">
  <template>
    <style include="shared-styles">
      :host {
        display: block;

        padding: 10px;
      }
     
        h1 {
          text-align:center;
        }
        #address {
          background:white !important;
        }
      
    </style>

    <div class="updateprofile-broker">
        <h1>update Profile</h1>
        <form is="iron-form" id="form" method="post" action="/"></form>
      <label>Contact Number</label>
      <d2l-text-input name="contact" value="" ></d2l-text-input>
      <label>Address</label>
      <paper-suggest-textarea  id="address"   value="{{value}}"
       ></paper-suggest-textarea>
    
      <label>Date of Birth</label>
      <d2l-text-input name="dob" value="" ></d2l-text-input>
      <label>New Password</label>
      <d2l-text-input name="password" value="" ></d2l-text-input>
      <label>Confirm Password</label>
      <d2l-text-input name="repassword" value="" ></d2l-text-input>
      <paper-button raised on-click="updateProfile">
          Update
       </paper-button>
     
     </form>
     
      <div></div>
     </div>
  </template>

  <script>
    class MyView3 extends Polymer.Element {

      let profileDetails = {
        type:object,
        value : {
          
        }
      }
      static get is() { return 'update-profile'; }
      updateProfile() {


      }

    }

    window.customElements.define(MyView3.is, MyView3);
  </script>
</dom-module>
